Bug 449371 - Get SIGSEGV browsing to google blog page
Get SIGSEGV browsing to google blog page
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 10:01 EDT by Tom London
Modified: 2008-06-29 15:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-29 15:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from 'rpm -Va' (36.12 KB, application/x-tar)
2008-06-16 20:38 EDT, Tom London
no flags Details
output from "rpm -Va" after running prelink (12.35 KB, text/plain)
2008-06-16 21:50 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2008-06-02 10:01:56 EDT
Description of problem:
After running 'debuginfo-install' as suggested in
https://bugzilla.redhat.com/show_bug.cgi?id=449239 and browsing to
http://googleblog.blogspot.com/2008/05/google-sites-now-open-to-everyone.html, I
got an immediate segfault.

gdb output below.

[tbl@localhost ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0pre
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/plugins:/usr/lib/firefox-3.0pre
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0pre/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
    
LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/components:/usr/lib/firefox-3.0pre
       SHLIB_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
          LIBPATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
       ADDON_PATH=/usr/lib/firefox-3.0pre
      MOZ_PROGRAM=/usr/lib/firefox-3.0pre/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/home/tbl/bin)
/usr/bin/gdb /usr/lib/firefox-3.0pre/firefox -x /tmp/mozargs.DJSxfg
GNU gdb Fedora (6.8-10.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /usr/lib/firefox-3.0pre/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7efe6d0 (LWP 5189)]

(firefox:5189): GnomeUI-WARNING **: While connecting to session manager:
Could not open network socket.
[New Thread 0xb7cfdb90 (LWP 5208)]
[New Thread 0xb72fcb90 (LWP 5213)]
[New Thread 0xb6876b90 (LWP 5214)]
[New Thread 0xb5e75b90 (LWP 5215)]
[Thread 0xb5e75b90 (LWP 5215) exited]
[New Thread 0xb5474b90 (LWP 5216)]
[Thread 0xb5474b90 (LWP 5216) exited]
[New Thread 0xb5474b90 (LWP 5217)]
[New Thread 0xb5e75b90 (LWP 5218)]
[New Thread 0xb49aab90 (LWP 5222)]
[New Thread 0xb3fa9b90 (LWP 5223)]
[Thread 0xb3fa9b90 (LWP 5223) exited]
[Thread 0xb6876b90 (LWP 5214) exited]
[New Thread 0xb6876b90 (LWP 5230)]
[New Thread 0xb3fa9b90 (LWP 5231)]
[New Thread 0xb260db90 (LWP 5232)]
[New Thread 0xb1b9eb90 (LWP 5233)]
[New Thread 0xb1070b90 (LWP 5234)]
[New Thread 0xb02ffb90 (LWP 5235)]
[Thread 0xb6876b90 (LWP 5230) exited]
[Thread 0xb1b9eb90 (LWP 5233) exited]
[New Thread 0xb1b9eb90 (LWP 5240)]
[Thread 0xb02ffb90 (LWP 5235) exited]
[Thread 0xb260db90 (LWP 5232) exited]
[Thread 0xb1b9eb90 (LWP 5240) exited]
Detaching after fork from child process 5271.
Unsupported movie property id with value "flash_object"
Unsupported movie property style with value "position: absolute; top: 1px; left:
1px; height: 1px; width: 1px;"
Unsupported movie property quality with value "high"
Unsupported movie property pluginspage with value
"http://www.macromedia.com/go/getflashplayer"
unhandled event 19
Loading stream: https://mail.google.com/mail/im/sound.swf
[New Thread 0xb1b9eb90 (LWP 5302)]
[New Thread 0xb260db90 (LWP 5303)]
[New Thread 0xb02ffb90 (LWP 5304)]
[New Thread 0xae6bcb90 (LWP 5305)]
[Thread 0xb1b9eb90 (LWP 5302) exited]
[Thread 0xb260db90 (LWP 5303) exited]
[Thread 0xae6bcb90 (LWP 5305) exited]
[Thread 0xb02ffb90 (LWP 5304) exited]
[Thread 0xb49aab90 (LWP 5222) exited]
[Thread 0xb1070b90 (LWP 5234) exited]
[New Thread 0xb1070b90 (LWP 5360)]

Program received signal SIGSEGV, Segmentation fault.
0x0546f6b3 in XPCWrappedNative::HasInterfaceNoQI (this=<value optimized out>, 
    iid=<value optimized out>) at xpcinlines.h:382
382	    return NS_SUCCEEDED(mInfo->GetIIDShared(&iid)) ? iid : nsnull;
Missing separate debuginfos, use: debuginfo-install keyutils.i386
(gdb) where
#0  0x0546f6b3 in XPCWrappedNative::HasInterfaceNoQI (
    this=<value optimized out>, iid=<value optimized out>) at xpcinlines.h:382
#1  0x0546e83c in nsJSIID::HasInstance (this=<value optimized out>,
wrapper=Could not find the frame base for
"nsJSIID::HasInstance(nsIXPConnectWrappedNative*, JSContext*, JSObject*, long,
int*, int*)".
)
    at xpcjsid.cpp:591
#2  0x05484b05 in XPC_WN_Helper_HasInstance (cx=<value optimized out>, 
    obj=<value optimized out>, v=<value optimized out>, 
    bp=<value optimized out>) at xpcwrappednativejsops.cpp:1016
#3  0x0655f275 in js_HasInstance (cx=<value optimized out>, 
    obj=<value optimized out>, v=Could not find the frame base for "js_HasInstance".
) at jsobj.c:4507
#4  0x0654e6fd in js_Interpret (cx=<value optimized out>) at jsinterp.c:6214
#5  0x06558f23 in js_Invoke (cx=<value optimized out>, 
    argc=<value optimized out>, vp=<value optimized out>, 
    flags=<value optimized out>) at jsinterp.c:1299
#6  0x065590b0 in js_InternalInvoke (cx=<value optimized out>, 
    obj=<value optimized out>, fval=<value optimized out>, 
    flags=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>, rval=<value optimized out>) at jsinterp.c:1355
#7  0x0652452a in JS_CallFunctionValue (cx=<value optimized out>, 
    obj=<value optimized out>, fval=<value optimized out>, 
    argc=<value optimized out>, argv=<value optimized out>, 
    rval=<value optimized out>) at jsapi.c:5051
#8  0x0586421a in nsJSContext::CallEventHandler (this=<value optimized out>, 
    aTarget=<value optimized out>, aScope=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aHandler=<value optimized out>, aargv=<value optimized out>, 
    arv=<value optimized out>) at nsJSEnvironment.cpp:1962
#9  0x0587caa5 in nsGlobalWindow::RunTimeout (this=<value optimized out>, 
    aTimeout=<value optimized out>) at nsGlobalWindow.cpp:7753
#10 0x0587cf1c in nsGlobalWindow::TimerCallback (aTimer=Could not find the frame
base for "nsGlobalWindow::TimerCallback(nsITimer*, void*)".
)
    at nsGlobalWindow.cpp:8084
#11 0x05c84f58 in nsTimerImpl::Fire (this=<value optimized out>)
    at nsTimerImpl.cpp:400
#12 0x05c84fd3 in nsTimerEvent::Run (this=<value optimized out>)
    at nsTimerImpl.cpp:490
#13 0x05c82482 in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:510
#14 0x05c4f424 in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#15 0x05bc4f24 in nsBaseAppShell::Run (this=<value optimized out>)
    at nsBaseAppShell.cpp:170
#16 0x05a7b720 in nsAppStartup::Run (this=<value optimized out>)
    at nsAppStartup.cpp:181
#17 0x0544ea11 in XRE_main (argc=<value optimized out>, 
    argv=<value optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3170
#18 0x08049169 in main (argc=1, argv=0xbfa19d14) at nsXULStub.cpp:364
(gdb) 
(gdb) quit
The program is running.  Exit anyway? (y or n) y
[tbl@localhost ~]$ 


Version-Release number of selected component (if applicable):
firefox-3.0-0.65.cvs20080416.fc10.i386
xulrunner-1.9-0.65.cvs20080416.fc10.i386

How reproducible:
Don't know

Steps to Reproduce:
1. start firefox via 'firefox -g'
2. browse to
http://googleblog.blogspot.com/2008/05/google-sites-now-open-to-everyone.html
3. wait while page downloads.  Get segfault
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-06-03 15:37:07 EDT
Got another one.... 

[tbl@localhost ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0pre
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/plugins:/usr/lib/firefox-3.0pre
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0pre/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
    
LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/components:/usr/lib/firefox-3.0pre
       SHLIB_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
          LIBPATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
       ADDON_PATH=/usr/lib/firefox-3.0pre
      MOZ_PROGRAM=/usr/lib/firefox-3.0pre/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/home/tbl/bin)
/usr/bin/gdb /usr/lib/firefox-3.0pre/firefox -x /tmp/mozargs.IoIvBx
GNU gdb Fedora (6.8-10.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) 
(gdb) run
Starting program: /usr/lib/firefox-3.0pre/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7f1c6d0 (LWP 17468)]

(firefox:17468): GnomeUI-WARNING **: While connecting to session manager:
Could not open network socket.
[New Thread 0xb7d1bb90 (LWP 17503)]
[New Thread 0xb731ab90 (LWP 17508)]
[New Thread 0xb6894b90 (LWP 17509)]
[New Thread 0xb5cffb90 (LWP 17510)]
[New Thread 0xb52feb90 (LWP 17511)]
[Thread 0xb5cffb90 (LWP 17510) exited]
[Thread 0xb52feb90 (LWP 17511) exited]
[New Thread 0xb52feb90 (LWP 17512)]
[New Thread 0xb5cffb90 (LWP 17513)]
[New Thread 0xb48fdb90 (LWP 17514)]
[Thread 0xb6894b90 (LWP 17509) exited]
[New Thread 0xb6894b90 (LWP 17519)]
[Thread 0xb48fdb90 (LWP 17514) exited]
[New Thread 0xb48fdb90 (LWP 17524)]
[Thread 0xb48fdb90 (LWP 17524) exited]
[New Thread 0xb48fdb90 (LWP 17525)]
[New Thread 0xb2d5db90 (LWP 17526)]
[New Thread 0xb235cb90 (LWP 17527)]
[Thread 0xb6894b90 (LWP 17519) exited]
[Thread 0xb2d5db90 (LWP 17526) exited]
[Thread 0xb48fdb90 (LWP 17525) exited]
[New Thread 0xb18edb90 (LWP 17528)]
[New Thread 0xb6894b90 (LWP 17533)]
[New Thread 0xb2d5db90 (LWP 17534)]
[New Thread 0xb48fdb90 (LWP 17535)]
[Thread 0xb18edb90 (LWP 17528) exited]
[New Thread 0xb0eecb90 (LWP 17536)]
[Thread 0xb2d5db90 (LWP 17534) exited]
[New Thread 0xb2d5db90 (LWP 17537)]
[New Thread 0xb18edb90 (LWP 17538)]
[Thread 0xb0eecb90 (LWP 17536) exited]
[Thread 0xb2d5db90 (LWP 17537) exited]
[Thread 0xb18edb90 (LWP 17538) exited]
[New Thread 0xb2d5db90 (LWP 17539)]
[New Thread 0xb0eecb90 (LWP 17540)]
[New Thread 0xb0245b90 (LWP 17541)]
[Thread 0xb48fdb90 (LWP 17535) exited]
[Thread 0xb0eecb90 (LWP 17540) exited]
[Thread 0xb0245b90 (LWP 17541) exited]
[New Thread 0xb0245b90 (LWP 17546)]
[Thread 0xb2d5db90 (LWP 17539) exited]
[New Thread 0xb2d5db90 (LWP 17551)]
[Thread 0xb0245b90 (LWP 17546) exited]
[New Thread 0xb0245b90 (LWP 17556)]
[Thread 0xb0245b90 (LWP 17556) exited]
Detaching after fork from child process 17569.
unhandled event 19

Program received signal SIGSEGV, Segmentation fault.
XPCWrappedNative::HasInterfaceNoQI (this=<value optimized out>, 
    iid=<value optimized out>) at ../../../../dist/include/xpcom/nsCOMPtr.h:931
931	          return reinterpret_cast<nsDerivedSafe<T>*>(mRawPtr);
Missing separate debuginfos, use: debuginfo-install keyutils.i386
(gdb) where
#0  XPCWrappedNative::HasInterfaceNoQI (this=<value optimized out>, 
    iid=<value optimized out>) at ../../../../dist/include/xpcom/nsCOMPtr.h:931
#1  0x0305b83c in nsJSIID::HasInstance (this=<value optimized out>,
wrapper=Could not find the frame base for
"nsJSIID::HasInstance(nsIXPConnectWrappedNative*, JSContext*, JSObject*, long,
int*, int*)".
)
    at xpcjsid.cpp:591
#2  0x03071b05 in XPC_WN_Helper_HasInstance (cx=<value optimized out>, 
    obj=<value optimized out>, v=<value optimized out>, 
    bp=<value optimized out>) at xpcwrappednativejsops.cpp:1016
#3  0x02e41275 in js_HasInstance (cx=<value optimized out>, 
    obj=<value optimized out>, v=Could not find the frame base for "js_HasInstance".
) at jsobj.c:4507
#4  0x02e306fd in js_Interpret (cx=<value optimized out>) at jsinterp.c:6214
#5  0x02e3af23 in js_Invoke (cx=<value optimized out>, 
    argc=<value optimized out>, vp=<value optimized out>, 
    flags=<value optimized out>) at jsinterp.c:1299
#6  0x03067c46 in nsXPCWrappedJSClass::CallMethod (this=<value optimized out>, 
    wrapper=<value optimized out>, methodIndex=<value optimized out>, 
    info=<value optimized out>, nativeParams=<value optimized out>)
    at xpcwrappedjsclass.cpp:1523
#7  0x030631e3 in nsXPCWrappedJS::CallMethod (this=<value optimized out>, 
    methodIndex=<value optimized out>, info=Could not find the frame base for
"nsXPCWrappedJS::CallMethod(unsigned short, XPTMethodDescriptor const*,
nsXPTCMiniVariant*)".
) at xpcwrappedjs.cpp:559
#8  0x0387d1c8 in PrepareAndDispatch (methodIndex=<value optimized out>, 
    self=<value optimized out>, args=<value optimized out>)
    at xptcstubs_gcc_x86_unix.cpp:95
#9  0x0308e04d in nsIOService::OnChannelRedirect (this=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    oldChan=<value optimized out>, newChan=<value optimized out>, 
    flags=<value optimized out>) at nsIOService.cpp:307
#10 0x030f3762 in nsHttpHandler::OnChannelRedirect (this=Could not find the
frame base for "nsHttpHandler::OnChannelRedirect(nsIChannel*, nsIChannel*,
unsigned int)".
)
    at nsHttpHandler.cpp:501
#11 0x030fb626 in nsHttpChannel::ProcessRedirection (
    this=<value optimized out>, redirectType=<value optimized out>)
    at nsHttpChannel.cpp:2432
#12 0x030ff6be in nsHttpChannel::ProcessResponse (this=<value optimized out>)
    at nsHttpChannel.cpp:830
#13 0x0308ae60 in nsInputStreamPump::OnStateStart (this=<value optimized out>)
    at nsInputStreamPump.cpp:439
#14 0x0308b1f3 in nsInputStreamPump::OnInputStreamReady (
    this=<value optimized out>, stream=Could not find the frame base for
"nsInputStreamPump::OnInputStreamReady(nsIAsyncInputStream*)".
) at nsInputStreamPump.cpp:395
#15 0x03859a09 in nsInputStreamReadyEvent::Run (this=<value optimized out>)
    at nsStreamUtils.cpp:111
#16 0x0386f482 in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:510
#17 0x0383c424 in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#18 0x037b1f24 in nsBaseAppShell::Run (this=<value optimized out>)
    at nsBaseAppShell.cpp:170
#19 0x03668720 in nsAppStartup::Run (this=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at nsAppStartup.cpp:181
#20 0x0303ba11 in XRE_main (argc=<value optimized out>, 
    argv=<value optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3170
#21 0x08049169 in main (argc=1, argv=0xbfb35634) at nsXULStub.cpp:364
(gdb) quit
The program is running.  Exit anyway? (y or n) y
[tbl@localhost ~]$ 
Comment 2 Matěj Cepl 2008-06-09 17:55:56 EDT
Could we get please output of this command:

rpm -qa \*flash\* \*nsplug\* \*firefox\* \*mozilla\*

Thank you 
Comment 3 Tom London 2008-06-09 18:21:56 EDT
[tbl@localhost ~]$ rpm -qa \*flash\* \*nsplug\* \*firefox\* \*mozilla\*
mozilla-filesystem-1.9-2.fc10.i386
firefox-debuginfo-3.0-0.65.cvs20080416.fc10.i386
libflashsupport-000-0.5.svn20070904.i386
firefox-3.0-0.65.cvs20080416.fc10.i386
swfdec-mozilla-debuginfo-0.6.0-1.fc9.i386
swfdec-mozilla-0.6.0-1.fc9.i386
[tbl@localhost ~]$ 

Comment 4 Tom London 2008-06-13 10:36:12 EDT
Got another one, looks similar, on another page.
http://www.windwardvineyard.com/about.php

[Thread 0xade39b90 (LWP 3975) exited]
[Thread 0xae83ab90 (LWP 3974) exited]
[Thread 0xb103eb90 (LWP 3972) exited]

Program received signal SIGSEGV, Segmentation fault.
0x0546f6b3 in XPCWrappedNative::HasInterfaceNoQI (this=<value optimized out>, 
    iid=<value optimized out>) at xpcinlines.h:382
382	    return NS_SUCCEEDED(mInfo->GetIIDShared(&iid)) ? iid : nsnull;
Missing separate debuginfos, use: debuginfo-install keyutils.i386
(gdb) bt
#0  0x0546f6b3 in XPCWrappedNative::HasInterfaceNoQI (
    this=<value optimized out>, iid=<value optimized out>) at xpcinlines.h:382
#1  0x0546e83c in nsJSIID::HasInstance (this=<value optimized out>,
wrapper=Could not find the frame base for
"nsJSIID::HasInstance(nsIXPConnectWrappedNative*, JSContext*, JSObject*, long,
int*, int*)".
)
    at xpcjsid.cpp:591
#2  0x05484b05 in XPC_WN_Helper_HasInstance (cx=<value optimized out>, 
    obj=<value optimized out>, v=<value optimized out>, 
    bp=<value optimized out>) at xpcwrappednativejsops.cpp:1016
#3  0x02e41275 in js_HasInstance (cx=<value optimized out>, 
    obj=<value optimized out>, v=Could not find the frame base for "js_HasInstance".
) at jsobj.c:4507
#4  0x02e306fd in js_Interpret (cx=<value optimized out>) at jsinterp.c:6214
#5  0x02e3af23 in js_Invoke (cx=<value optimized out>, 
    argc=<value optimized out>, vp=<value optimized out>, 
    flags=<value optimized out>) at jsinterp.c:1299
#6  0x02e3b0b0 in js_InternalInvoke (cx=<value optimized out>, 
    obj=<value optimized out>, fval=<value optimized out>, 
    flags=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>, rval=<value optimized out>) at jsinterp.c:1355
#7  0x02e0652a in JS_CallFunctionValue (cx=<value optimized out>, 
    obj=<value optimized out>, fval=<value optimized out>, 
    argc=<value optimized out>, argv=<value optimized out>, 
    rval=<value optimized out>) at jsapi.c:5051
#8  0x0586421a in nsJSContext::CallEventHandler (this=<value optimized out>, 
    aTarget=<value optimized out>, aScope=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aHandler=<value optimized out>, aargv=<value optimized out>, 
    arv=<value optimized out>) at nsJSEnvironment.cpp:1962
#9  0x0587caa5 in nsGlobalWindow::RunTimeout (this=<value optimized out>, 
    aTimeout=<value optimized out>) at nsGlobalWindow.cpp:7753
#10 0x0587cf1c in nsGlobalWindow::TimerCallback (aTimer=Could not find the frame
base for "nsGlobalWindow::TimerCallback(nsITimer*, void*)".
)
    at nsGlobalWindow.cpp:8084
#11 0x05c84f58 in nsTimerImpl::Fire (this=<value optimized out>)
    at nsTimerImpl.cpp:400
#12 0x05c84fd3 in nsTimerEvent::Run (this=<value optimized out>)
    at nsTimerImpl.cpp:490
#13 0x05c82482 in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:510
#14 0x05c4f424 in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#15 0x05bc4f24 in nsBaseAppShell::Run (this=<value optimized out>)
    at nsBaseAppShell.cpp:170
#16 0x05a7b720 in nsAppStartup::Run (this=<value optimized out>)
    at nsAppStartup.cpp:181
#17 0x0544ea11 in XRE_main (argc=<value optimized out>, 
    argv=<value optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3170
#18 0x08049169 in main (argc=1, argv=0xbff72a54) at nsXULStub.cpp:364
(gdb) 
(gdb) quit
The program is running.  Exit anyway? (y or n) y
[tbl@localhost ~]$ 

Comment 5 Matěj Cepl 2008-06-13 12:16:06 EDT
Hmm, cannot reproduce here. Tom is there something worth noting about your
computer, network connection, configuration, etc.?
Comment 6 Tom London 2008-06-14 00:55:12 EDT
Not that I am aware of.

Computer: Thinkpad X60.
Network Connection: got the above on two different networks (home and office). 
Home is Comcast w/ Linksys access point (I'm connected via wire); office is
pretty standard wired network.

Configuration: Rawhide.  Firefox: I have noscript and adblocker+; SELinux: I
usually run enforcing.
Comment 7 Tom London 2008-06-14 01:17:23 EDT
This appears to be intermittant.  I can not reproduce it every time, sorry.

I've gotten in the habit of starting firefox from a terminal window via "firefox
-g", so I guess I catch these....
Comment 8 Matěj Cepl 2008-06-14 08:00:53 EDT
I really cannot reproduce it -- both Firefox 3 on Fedora 9 and on Rawhide, show
both pages without any problems. Let's give you 25 days and if you won't be able
to explain me how to reproduce the issue here, I will close this down as
INSUFFICIENT_DATA.
Comment 9 Tom London 2008-06-14 12:52:39 EDT
That is reasonable.

Don't suppose it's possible that this is related to gcc:
https://bugzilla.redhat.com/show_bug.cgi?id=451068'

In any case, I will work on getting a reliable failing case.

Since I'll be running firefox via 'firefox -g', is there any other useful
information for me to grab when I get one of these?
Comment 10 Matěj Cepl 2008-06-14 15:54:38 EDT
(In reply to comment #9)
> Don't suppose it's possible that this is related to gcc:
> https://bugzilla.redhat.com/show_bug.cgi?id=451068'

I am not a C programmer, so that's probably my problem, but I really don't see
the link between these two bugs. Could you elaborate a little bit, please?

> Since I'll be running firefox via 'firefox -g', is there any other useful
> information for me to grab when I get one of these?

Maybe output of the command

rpm -qa \*mozilla\* \*firefox\* \*flash\* \*plugin\*

and it certainly won't hurt if you make sure (using package-cleanup --problems
and rpm -Va) that there aren't any problems in your packages.
Comment 11 Tom London 2008-06-14 18:54:27 EDT
Probably a long shot: if gcc is generating "faulty" code for the kernel, then maybe firefox has some 
strange case that is also mis-compiled. Unlikely, I'm sure......

I have no duplicate packages. I'll recheck the rest next time I boot. 
Comment 12 Tom London 2008-06-16 20:04:26 EDT
[root@localhost ~]# rpm -qa \*mozilla\* \*firefox\* \*flash\* \*plugin\*
alsa-plugins-vdownmix-1.0.16-4.fc9.i386
alsa-plugins-debuginfo-1.0.16-4.fc9.i386
mozilla-filesystem-1.9-2.fc10.i386
gutenprint-plugin-5.0.2-2.fc9.i386
maven2-plugin-release-2.0.4-10jpp.10.fc9.i386
gstreamer-plugins-pulse-0.9.7-1.fc10.i386
maven-shared-plugin-testing-harness-1.0-4jpp.4.fc9.i386
firefox-debuginfo-3.0-0.65.cvs20080416.fc10.i386
gstreamer-plugins-pulse-debuginfo-0.9.7-1.fc10.i386
libflashsupport-000-0.5.svn20070904.i386
gstreamer-plugins-base-0.10.19-6.fc10.i386
firefox-3.0-0.65.cvs20080416.fc10.i386
gstreamer-plugins-farsight-0.12.8-2.fc10.i386
gstreamer-plugins-base-debuginfo-0.10.19-6.fc10.i386
alsa-plugins-jack-1.0.16-4.fc9.i386
alsa-plugins-oss-1.0.16-4.fc9.i386
gstreamer-plugins-base-devel-0.10.19-6.fc10.i386
setroubleshoot-plugins-2.0.4-5.fc9.noarch
swfdec-mozilla-debuginfo-0.6.0-1.fc9.i386
gstreamer-plugins-good-0.10.8-5.fc10.i386
audacious-plugins-1.5.1-1.fc10.i386
alsa-plugins-upmix-1.0.16-4.fc9.i386
alsa-plugins-samplerate-1.0.16-4.fc9.i386
alsa-plugins-pulseaudio-1.0.16-4.fc9.i386
swfdec-mozilla-0.6.0-1.fc9.i386
gstreamer-plugins-good-debuginfo-0.10.8-5.fc10.i386
java-1.6.0-openjdk-plugin-1.6.0.0-0.16.b09.fc10.i386
[root@localhost ~]# 

I'm attaching separately the output of "rpm -Va", since I am getting a large
number of:
prelink: /usr/bin/fetchmail: at least one of file's dependencies has changed
since prelinking

Comment 13 Tom London 2008-06-16 20:38:47 EDT
Created attachment 309557 [details]
output from 'rpm -Va'

I've compressed this, as it is way too big....

Loaded with lines like:
S.?.....    /usr/libexec/hald-addon-input
prelink: /usr/libexec/hald-addon-macbook-backlight: at least one of file's
dependencies has changed since prelinking

I'll try to run prelink manually and reattach.
Comment 14 Tom London 2008-06-16 21:50:44 EDT
Created attachment 309562 [details]
output from "rpm -Va" after running prelink

Here is the output of "rpm -Va" after running prelink.
Comment 15 Tom London 2008-06-23 10:01:15 EDT
This used to happen to me multiple times per day, but I have been unable to
reproduce this for several days now.

The "only differences" related to firefox that pop to mind are upgrading to
firefox-3.0-1.fc10.i386
xulrunner-1.9-1.fc10.i386

and, finally, giving up on swfdec and installing the "real" flash support:
flash-plugin-9.0.124.0-release.i386.rpm

[See: https://bugzilla.redhat.com/show_bug.cgi?id=449239, for example.]

I did get one more SIGSEGV fault after the above updates, but that was related
to an "execmem/execstack" SELinux denial.

I'll keep monitoring through the 29th, and close then if no more incidents.
Comment 16 Matěj Cepl 2008-06-23 11:45:11 EDT
OK, putting this bug into NEEDINFO so it doesn't fall through cracks.
Comment 17 Tom London 2008-06-29 15:41:04 EDT
Well, I have not been able to reproduce this anymore:  easy come, easy go ;)

Not sure what it was, but it appears gone.  [My suspicions point towards swfdec,
but I really don't know. I'm now back to running flash....]

Closing this as NOTABUG.  Please change resolution if this is not appropriate.

Note You need to log in before you can comment on or make changes to this bug.